Subject: Re: [PATCH] git-cvsserver: handle change type T

From: Paolo Bonzini <[email-masked]>
Date: Sun, 16 Mar 2008 23:00:48 +0100

Junio C Hamano wrote:
> Paolo Bonzini <[email-masked]> writes:
> 
>> git-cvsserver does not support changes of type T (file type change,
>> e.g. symlink->real file).  This patch treats them the same as changes
>> of type M.
> 
> Hmm.
> 
> Do cvs clients even know how to handle symlinks, or will this patch just
> start sending the readlink(2) result as if it is just a regular file
> contents?

It was before too.  The problem arises if one found the problem, deleted 
the symlink, added the regular file -- and now cvsserver stops working 
at all. :-(

Paolo